"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAccountFetchCache = void 0;
const react_1 = require("react");
const contexts_1 = require("../contexts");
/**
 * Get the Strata account fetch cache to save on rcp calls. Generally, you want to use {@link useAccount}
 * @returns
 */
const useAccountFetchCache = () => {
    const context = (0, react_1.useContext)(contexts_1.AccountContext);
    if (context === undefined) {
        throw new Error("useAccountFetchCache must be used within AccountProvider");
    }
    return context;
};
exports.useAccountFetchCache = useAccountFetchCache;
//# sourceMappingURL=useAccountFetchCache.js.map