import { PublicKey } from "@solana/web3.js";
import { ISwapArgs } from "@strata-foundation/spl-token-bonding";
import { ISwapFormProps } from "../components/Swap/SwapForm";
export interface ISwapDriverArgs extends Pick<ISwapFormProps, "onConnectWallet" | "extraTransactionInfo"> {
    tokenBondingKey: PublicKey;
    tradingMints: {
        base?: PublicKey;
        target?: PublicKey;
    };
    onTradingMintsChange(mints: {
        base: PublicKey;
        target: PublicKey;
    }): void;
    swap(args: ISwapArgs & {
        ticker: string;
    }): void;
}
export declare const useSwapDriver: (args: ISwapDriverArgs) => Omit<ISwapFormProps, "isSubmitting"> & {
    loading: boolean;
};
//# sourceMappingURL=useSwapDriver.d.ts.map